Package org.apache.sling.thumbnails.internal.models

## Class TransformationHandlerConfigImpl

- java.lang.Object
- - org.apache.sling.thumbnails.internal.models.TransformationHandlerConfigImpl

All Implemented Interfaces:
  `TransformationHandlerConfig`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=TransformationHandlerConfig.class)
    public class TransformationHandlerConfigImpl
    extends Object
    implements TransformationHandlerConfig

### Constructor Summary

Constructors
`TransformationHandlerConfigImpl​(String handerType, Map<String,​Object> properties)`
`TransformationHandlerConfigImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getHandlerType()` Get the hander type, generally, this will be a Sling Resource type
`org.apache.sling.api.resource.ValueMap` `getProperties()` The configuration properties for the transformation hander

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransformationHandlerConfigImpl

    @Inject
    public TransformationHandlerConfigImpl​(org.apache.sling.api.resource.Resource resource)

#### TransformationHandlerConfigImpl

    public TransformationHandlerConfigImpl​(String handerType,
                                           Map<String,​Object> properties)

### Method Detail

#### getHandlerType

    public String getHandlerType()

Description copied from interface: `TransformationHandlerConfig`
Get the hander type, generally, this will be a Sling Resource type

Specified by:
  `getHandlerType` in interface `TransformationHandlerConfig`
Returns:
  the handler type

#### getProperties

    public org.apache.sling.api.resource.ValueMap getProperties()

Description copied from interface: `TransformationHandlerConfig`
The configuration properties for the transformation hander

Specified by:
  `getProperties` in interface `TransformationHandlerConfig`
Returns:
  the configuration properties